﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Windows.Automation;

namespace WPFTreeViewInPanelBar
{
	class MyConverter : IValueConverter
	{

		public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			bool? result = (bool?)value;
			if (result == true)
			{
				return ToggleState.On;
			}
			else if (result == false)
			{
				return ToggleState.Off;
			}
			else
			{
				return ToggleState.Indeterminate;
			}
		}

		public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			ToggleState state = (ToggleState)value;
			if (state == ToggleState.On)
			{
				return true;
			}
			else if (state == ToggleState.Off)
			{
				return false;
			}
			else
			{
				return null;
			}
		}
	}
}
